#
# spec file for package gap-recog
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-recog
Version:        1.2.5
Release:        bp153.1.12
Summary:        GAP: A collection of group recognition methods
License:        GPL-3.0+
Group:          Productivity/Scientific/Math
Url:            https://gap-packages.github.io/recog/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/recog-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-atlasrep >= 1.4.0
Requires:       gap-core >= 4.6.3
Requires:       gap-factint >= 1.5.2
Requires:       gap-forms >= 1.2
Requires:       gap-gapdoc >= 1.2
Requires:       gap-genss >= 1.3
Requires:       gap-orb >= 3.4
Requires:       gap-recogbase >= 1.2.3.1

%description
This packages contains a collection of methods for the constructive
recognition of groups. It is mostly intended for permutation groups,
matrix groups and projective groups.

%prep
%setup -qn recog-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Wed Jun  8 2016 jengelh@inai.de
- Update to new upstream release 1.2.5
  * No changelog provided
* Sat Mar 12 2016 jengelh@inai.de
- Update to new upstream release 1.2.4
  * Fix bugs with handling of scalars in projective matrix groups
  * Fix misdetection of SL(2,q), odd q
  * Fix bug leading to "Error: Group() called with empty list of
  generators"
  * Fix endless loop when recognizing GL(2,q) with q <= 32
  * Detect if DoHintedLowIndex runs into an infinite loop
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 1.2.3
  * Changes to package metadata only
* Fri May 10 2013 jengelh@inai.de
- Split recog (version 1.2) off the gap RPM package
